Page 1 of 1

New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Sun Mar 20, 2011 5:36 pm
by SRWare
We released the new Iron 10 for Linux today, which contains all features and updates known from Chromim 10. The current version is 10.0.650.0.

Mainly there is the new JavaScript Engine "Crankshaft", which is up to 60% faster than the known one. There are also many new experimental features in about:flags to discover. Additionaly this release contains some security- un bugfixes.

The userstring in UA.ini is now also used for the JS-UserAgent.


Downloads:
http://www.srware.net/downloads/iron-linux.tar.gz (32-Bit)
http://www.srware.net/downloads/iron-linux-64.tar.gz (64-Bit)

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Sun Mar 20, 2011 10:41 pm
by RWUK
Everything works great. Thank you, Iron ROCKS!

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Mon Mar 21, 2011 9:36 am
by x64bytes
It's working fine. I've done the update from previous version and success!!! Keep up the good work, "Mr. Smith" :D

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Tue Mar 22, 2011 11:11 pm
by alexan
Wow, amazing fast update this time.. downloading right now :ironvsff :ironvssafari :ironvsopera :ironvsie

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Wed Mar 23, 2011 1:20 am
by gamgas
Thanks! :D

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Sun Apr 10, 2011 2:31 pm
by slither
No, it's not working.
My OS is Gentoo and on most of I get the "Aw, Snap!" error.
This is all I've got on console during a short session with iron (the error showed up several times):

Code: Select all

./chrome-wrapper
/home/slither/iron/iron-linux-64/chrome: /lib/libz.so.1: no version information available (required by /home/slither/iron/iron-linux-64/chrome)
/home/slither/iron/iron-linux-64/chrome: /lib/libz.so.1: no version information available (required by /home/slither/iron/iron-linux-64/chrome)
/home/slither/iron/iron-linux-64/chrome: /lib/libz.so.1: no version information available (required by /home/slither/iron/iron-linux-64/chrome)
/home/slither/iron/iron-linux-64/chrome: /lib/libz.so.1: no version information available (required by /home/slither/iron/iron-linux-64/chrome)
[26717:26717:8880710939:ERROR:extension_prefs.cc(734)] Bad or missing pref 'state' for extension 'hpibmhghjndideebpackbdlpncgkcppp'
[26717:26717:8880711060:ERROR:extension_prefs.cc(734)] Bad or missing pref 'state' for extension 'lncjcfkpannmofmpgdfoonkniofdnaba'
[26717:26771:8880793822:ERROR:web_data_service.cc(579)] Cannot initialize the web database: 2
/proc/self/exe: /lib/libz.so.1: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib/libz.so.1: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib/libz.so.1: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib/libz.so.1: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib/libz.so.1: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib/libz.so.1: no version information available (required by /proc/self/exe)
[26887:26887:8982018991:ERROR:native_library_linux.cc(32)] dlopen failed when trying to open default_plugin: default_plugin: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu


I really would like to use Iron but It just won't work (the 8.x version worked on my previous installation but now it won't either. Chrome works, though.)

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Tue Apr 19, 2011 11:00 pm
by komir
On fedora 14 when I try to run iron I receive error

Code: Select all

./iron: error while loading shared libraries: libbz2.so.1.0: cannot open shared object file: No such file or directory

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Thu Apr 28, 2011 10:44 pm
by tcyree2202
komir wrote:On fedora 14 when I try to run iron I receive error

Code: Select all

./iron: error while loading shared libraries: libbz2.so.1.0: cannot open shared object file: No such file or directory


I had this problem on openSUSE 11.4. Find and install any package that resembles the one missing, i.e. libbz2.so.1.0.6. If it's already installed, make a symlink to that file within the appropriate lib directory. For example, my libbz2.so.1.0.6 file was located in the /lib64 directory, so inside that directory, I think I ran this command (pretty sure you need su privileges as well)

Code: Select all

ln -s libbz2.so.1.0 libbz2.so.1.0.6

I think that's correct, anyway. But don't hold me to it, I still have A LOT to learn about Linux. Good luck, unless you've already solved this problem. :D

Re: New Iron-Version: 10.0.650.0 Stable for Linux

Posted: Sat May 07, 2011 5:20 pm
by SRWare
Image

coming soon